For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trackers

List a tracker's standards, assessments, and assessment items as a tree

get
Required scopes
This endpoint requires the following scopes:
  • : Read assessments
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Path parameters
tracker_idintegerRequired
Responses
200

tracker tree returned

application/json
get/api/v2/trackers/{tracker_id}/assessments
GET /api/v2/trackers/{tracker_id}/assessments HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "type": "text",
    "attributes": {
      "name": "text",
      "subject": "text",
      "teacher": "text",
      "school": "text",
      "archived": true,
      "created_at": "text",
      "updated_at": "text",
      "standards": [
        {
          "id": "text",
          "name": "text",
          "assessments": [
            {
              "id": "text",
              "title": "text",
              "assessment_items": [
                {}
              ]
            }
          ]
        }
      ]
    }
  }
}

Last updated

Was this helpful?